Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
NonblockingSinkInfo Class Reference
Inheritance diagram for NonblockingSinkInfo:

List of all members.

## Public Member Functions

virtual size_t | GetMaxBufferSize () const =0
virtual size_t | GetCurrentBufferSize () const =0
virtual bool | EofPending () const =0
virtual float | ComputeCurrentSpeed ()=0
| compute the current speed of this sink in bytes per second
virtual float | GetMaxObservedSpeed () const =0
| get the maximum observed speed of this sink in bytes per second

## Detailed Description

Definition at line 105 of file network.h.

The documentation for this class was generated from the following file:

- network.h